Subject: Re: bug#528: python3-reportbug: fails to install due to syntax error

From: Mark Hindley <[email-masked]>
Date: Sat, 5 Dec 2020 16:41:53 +0000

Gerard,

On Sat, Dec 05, 2020 at 02:34:21PM +0100, Gerard H. Pille wrote:
> Mark Hindley wrote:
> > 
> > Does /usr/bin/python exist? Which package does it belong to? Is it a symlink,
> > and if so, what to?
> 
> ghp-amdphIIx4a:/root
> # ls -al /usr/bin/python
> lrwxrwxrwx 1 root root 9 24 jan  2017 /usr/bin/python -> python2.7
> 
> According to the date, this is not my doing.  System was installed a year
> ago on a disk that hadn't seen Linux before.

Does it belong to any installed package? 'dpkg -S /usr/bin/python' should tell
you.

Even with a /usr/bin/python -> python2 symlink I am unable to get the postinst
to fail as it does in your case. Somehow you appear to have a python2 interpreter
which is trying to compile python3 code. I can't see how that could happen.

Can you check your python3 versions? I get:

 $ python3 -V
 Python 3.9.1rc1

Any extraneous symlinks in /usr/local/bin or elsewhere in the $PATH?

Thanks.

Mark